neo4j_logger Struct Reference

A logger for neo4j client. More...

`#include <neo4j-client.h>`

## Data Fields

struct neo4j_logger *(* | retain )(struct neo4j_logger *self)
| Retain a reference to this logger. More...
void(* | release )(struct neo4j_logger *self)
| Release a reference to this logger. More...
void(* | log )(struct neo4j_logger *self, uint_fast8_t level, const char *format, va_list ap)
| Write an entry to the log. More...
bool(* | is_enabled )(struct neo4j_logger *self, uint_fast8_t level)
| Determine if a logging level is enabled for this logger. More...
void(* | set_level )(struct neo4j_logger *self, uint_fast8_t level)
| Change the logging level for this logger. More...

## Detailed Description

A logger for neo4j client.

## Field Documentation

## is_enabled

bool(* neo4j_logger::is_enabled) (struct neo4j_logger *self, uint_fast8_t level)

Determine if a logging level is enabled for this logger.

Parameters

  [self] | This logger.
  [level] | The level to check.

Returns
  `true` if the level is enabled and `false` otherwise.

## log

void(* neo4j_logger::log) (struct neo4j_logger *self, uint_fast8_t level, const char *format, va_list ap)

Write an entry to the log.

Parameters

  [self] | This logger.
  [level] | The log level for the entry.
  [format] | The printf-style message format.
  [ap] | The list of arguments for the format.

## release

void(* neo4j_logger::release) (struct neo4j_logger *self)

Release a reference to this logger.

If all references have been released, the logger will be deallocated.

Parameters

  [self] | This logger.

## retain

struct neo4j_logger*(* neo4j_logger::retain) (struct neo4j_logger *self)

Retain a reference to this logger.

Parameters

  [self] | This logger.

Returns
  This logger.

## set_level

void(* neo4j_logger::set_level) (struct neo4j_logger *self, uint_fast8_t level)

Change the logging level for this logger.

Parameters

  [self] | This logger.
  [level] | The level to set.